Amazon Elastic Kubernetes Service

  • POST
  • /workspaces
  • /:workspace
  • /targets

Create a new Amazon Elastic Kubernetes Service deployment target

Request

REQUIRED SCOPES
TARGET_ADD
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

POST PARAMETERS
typestring enum
The type of the target
Allowed enum:
EKS
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
Short representation of an environment object
permissionsPermissionsView
Access permissions configuration
all_pipelines_allowedboolean
Indicates if all pipelines are allowed to use this target
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target

Constraints: Unique items required

disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKS
clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKE
regionrequiredstring
EKS region, e.g. eu-central-1
proxyTargetK8sProxyView
SSH proxy target for tunneling to private MySQL servers
role_arnstring
Amazon resource name specifying the role

Response

RESPONSE BODY
typestring enum
The type of the target
Allowed enum:
EKS
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
Short representation of an environment object
permissionsPermissionsView
Access permissions configuration
all_pipelines_allowedboolean
Indicates if all pipelines are allowed to use this target
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target

Constraints: Unique items required

disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKS
clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKE
regionrequiredstring
EKS region, e.g. eu-central-1
proxyTargetK8sProxyView
SSH proxy target for tunneling to private MySQL servers
role_arnstring
Amazon resource name specifying the role

Last modified on Feb 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/targets" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "type": "EKS", "identifier": "eks-staging", "name": "EKS Staging Cluster", "integration": "aws-integration", "cluster": "staging-cluster", "region": "us-west-2", "role_arn": "arn:aws:iam::123456789012:role/eks-service-role", "tags": [ "kubernetes", "aws", "staging" ] }'
STATUS
201 Created